{
    name: 'Nemeth',
    num_matrices: '26',
    notes: 'A set of matrices from Karoly Nemeth, theoretical chemistry.
currently postdoctoral fellow at Rice University with Prof. G.E. Scuseria
(as of Summer 1999).

Symmetric-positive semidefinite matrices.


--------------------------------------------------------------------------------

Dear Prof Davis,

The problem, where my matrices come from, is the Newton-Schultz iteration 
(NSI), which is used for the calculation of the matrix sign function. 
If we denote the "sign" of a hermitian matrix "F" by "sign(F)",
sign(F) can be calculated by the NSI, like:

 Z_{k+1} = Z_{k} + 1/2 * (I - Z_{k}^2) * Z_{k} .

"Z" is a general symmetric matrix, "k" is the iteration step, "I" is the
identity, Z_{0} = F/||F||, where ||F|| is the absolute value of the
largest eigenvalue of F. In my problems NSI converged in most cases in
less than 20 iterations. 

Currently I am very much interested in the Cholesky-decomposition of
(I - Z_{k}^2)^2: (I - Z_{k}^2)^2 = T^{t}T (T is upper triangular) . This 
would help me to construct some orthogonal vectors, which are important 
for some applications, the vectors are generated by :
(I - Z_{k}^2)*T^{-1}.

As NSI converges, the eigenvalues in Z_{k} tend to +1 or -1. (I - Z_{k}^2) 
gets more and more rank deficient (Z_{k}^2 tend to I). Thus normal Cholesky
cannot be used for the decomposition of (I - Z_{k}^2)^2. This is why I 
need Cholesky factorization for positive semidefinite matrices. Thus I 
expect to be able to generate "r" orthonormal vectors from (I - Z_{k}^2), 
where "r" is the rank of (I - Z_{k}^2). 

Here I used a somewhat 
modified version of NSI, where the trace of the matrices is kept fixed. 
However the matrices needed to be Cholesky decomposed are the corresponding 
(1-Z_{k}^2)^2 matrices. 

Best regards:

Karoly


(The Nemeth{K}.rsa file holds the Z_{k} matrix.)



***********************************
Karoly Nemeth, Ph.D.
----------------------------------
Rice University
Department of Chemistry - MS 60
6100 Main Street
Houston, TX 77005-1892

e-mail: karoly :at the domain: celaeno.rice.edu

office phone: before 5.30pm : +713-527-8101/2826 
              after  5.30pm : +713-527-8750/2826 
       fax: +713-285-5155
***********************************
',

}

