{
    name: 'Okunbor',
    num_matrices: '2',
    notes: 'Acoustic radiation around aft duct fan.  Walter Eversman and Daniel Okunbor.
These matrices are generated by a finite element code.

(C)1997 Copyright by
Walter Eversman and Daniel Okunbor
University of Missouri-Rolla

okunbor :at the domain: cs.umr.edu

--------------------------------------------------------------------------------

NOTE (added Feb 9, 2012): The aft01 matrix is numerically rank deficient.  It
is tagged in the UF Sparse Matrix Collection as \'positive definite\' because
chol works on it, but some eigensolvers report negative eigenvalues.  See below
for details.

--------------------------------------------------------------------------------

On 01/26/2012 11:37 AM, Alexander Andrianov wrote:
Just a quick note somewhat related to the previous discussion. It looks like
aft01 instance is not PD: its smallest eigenvalue is about -2.0312E-03. Just
confirmed that by running dense eigensolvers including one from MKL library
(LAPACK’s DSYEV with \'N\' option).

A modified Cholesky factorization however does not choke and factorizes it
nicely, with normalized residual of about 1.0e-17.

Not sure about its numerical rank though.

Best regards, Alex

--------------------------------------------------------------------------------

From: Tim Davis
Sent: Friday, January 27, 2012 5:50 PM
To: Alexander Andrianov
Cc: Leslie Foster
Subject: Re: UF collection matrices info

This is a wierd matrix.  Its numerical rank is one.

chol in MATLAB succeeds, unmodified, with a low residual

[L,p,s]=chol(A,\'lower\',\'vector\');
norm (L*L\'-A(s,s),1)

the diagonal of L has elements in the range 0.1325 to 3.16e7

Maybe the eigenvalue solver is the one giving the \'wrong\' answer.
This problem might be close to PD, and chol and eig are giving
different results.  I tried this:

e = eig (full(A)) ;

and got a largest eigenvalue of 1e15, and a smallest one as 1.493e-4.
I don\'t see the -2e-3 that you got.

So eig in MATLAB (also uses LAPACK), says the matrix (barely) PD.

Numerically, the positive definiteness of this matrix looks like a
toss up.

Thanks,
Tim


--------------------------------------------------------------------------------

From:   Alexander Andrianov at SAS.com
Subject:    RE: UF collection matrices info
Date:   January 30, 2012 9:52:55 AM EST
To:     Davis Tim
Cc:     Leslie Foster

You may be right. I just ran it under various dense MKL solvers and got the
following:

           Smallest
DSYEV      -2.0311917e-3            eigenvalues only (\'N\' option)
DYSEV      -2.3789104e-1            complete eigendecomposition (\'V\' option)
DSYEVR      1.5329287e-4            complete eigendecomposition
DSYEVD     -2.2634604e-3            complete eigendecomposition

Also ran with my version of DSYEVD and got:
1.5259751e-4 for eigenvalues only
9.0656595e-3 for complete eigendecomposition

The normalized maximum residual was 6.423e-4 (excellent) but the normalized
orthogonality loss was 1.347e11 (very bad). This is probably due to the fact
that it is rank-deficient.

I don\'t know if this helps: the LAPACK team labels DSYEV and DSYEVD as being in
general more accurate (see LAPACK working note 183, page 16) but it doesn\'t
imply that they will beat DSYEVR all the time.

I guess this instance can be labeled as \'numerically PD\' due to the rounding
error during Cholesky factorization which helps make it PD after all.

Thank you for running MATLAB on it,
Alex

',

}

